describe('UI Tests for Calliope', () => {
    beforeEach(() => {
        // run these tests as if in a desktop
        // browser with a 720p monitor
        cy.viewport('macbook-11');
    });
    it('should PASS the test on pricing page', () => {
        cy.visit('');
        cy.get("[href='https://www.calliope.pro/pricing/']").eq(0).click();
        cy.get(
            '.elementor-price-table__button.elementor-button.elementor-size-lg'
        ).should('have.length', 4);
    });

    it('should FAIL the test on Mochawesome documents page', () => {
        cy.visit('');
        cy.get("[href='https://www.calliope.pro/documentation/']")
            .eq(0)
            .click();
        cy.get('.md-tabs__item').eq(3).click();
        cy.get('[href="../mochawesome-json/"]').eq(1).click();
        cy.get('h1').should('have.text', 'Mochawesome JSON format');
    });

    it.skip('should SKIP the test on pricing page', () => {
        cy.visit('');
        cy.get("[href='https://www.calliope.pro/pricing/']").eq(0).click();
        cy.get(
            '.elementor-price-table__button.elementor-button.elementor-size-lg'
        ).should('have.length', 4);
    });
});
